<?xml version="1.0" encoding="US-ASCII"?>
<!--XBRL Document Created with Wdesk from Workiva, formerly WebFilings-->
<!-- -->
<xsd:schema attributeFormDefault="unqualified" elementFormDefault="qualified" targetNamespace="http://www.lancastercolony.com/20141231" xmlns:lanc="http://www.lancastercolony.com/20141231" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:nonnum="http://www.xbrl.org/dtr/type/non-numeric" xmlns:num="http://www.xbrl.org/dtr/type/numeric" xmlns:xbrli="http://www.xbrl.org/2003/instance" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xsd="http://www.w3.org/2001/XMLSchema">
  <xsd:import namespace="http://fasb.org/us-gaap/2014-01-31" schemaLocation="http://xbrl.fasb.org/us-gaap/2014/elts/us-gaap-2014-01-31.xsd" />
  <xsd:import namespace="http://fasb.org/us-roles/2014-01-31" schemaLocation="http://xbrl.fasb.org/us-gaap/2014/elts/us-roles-2014-01-31.xsd" />
  <xsd:import namespace="http://fasb.org/us-types/2014-01-31" schemaLocation="http://xbrl.fasb.org/us-gaap/2014/elts/us-types-2014-01-31.xsd" />
  <xsd:import namespace="http://www.xbrl.org/2003/instance" schemaLocation="http://www.xbrl.org/2003/xbrl-instance-2003-12-31.xsd" />
  <xsd:import namespace="http://www.xbrl.org/2003/linkbase" schemaLocation="http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" />
  <xsd:import namespace="http://www.xbrl.org/2009/arcrole/fact-explanatoryFact" schemaLocation="http://www.xbrl.org/lrr/arcrole/factExplanatory-2009-12-16.xsd" />
  <xsd:import namespace="http://www.xbrl.org/2009/role/negated" schemaLocation="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd" />
  <xsd:import namespace="http://www.xbrl.org/2009/role/net" schemaLocation="http://www.xbrl.org/lrr/role/net-2009-12-16.xsd" />
  <xsd:import namespace="http://www.xbrl.org/dtr/type/non-numeric" schemaLocation="http://www.xbrl.org/dtr/type/nonNumeric-2009-12-16.xsd" />
  <xsd:import namespace="http://www.xbrl.org/dtr/type/numeric" schemaLocation="http://www.xbrl.org/dtr/type/numeric-2009-12-16.xsd" />
  <xsd:import namespace="http://xbrl.org/2005/xbrldt" schemaLocation="http://www.xbrl.org/2005/xbrldt-2005.xsd" />
  <xsd:import namespace="http://xbrl.sec.gov/country/2013-01-31" schemaLocation="http://xbrl.sec.gov/country/2013/country-2013-01-31.xsd" />
  <xsd:import namespace="http://xbrl.sec.gov/currency/2014-01-31" schemaLocation="http://xbrl.sec.gov/currency/2014/currency-2014-01-31.xsd" />
  <xsd:import namespace="http://xbrl.sec.gov/dei/2014-01-31" schemaLocation="http://xbrl.sec.gov/dei/2014/dei-2014-01-31.xsd" />
  <xsd:import namespace="http://xbrl.sec.gov/exch/2014-01-31" schemaLocation="http://xbrl.sec.gov/exch/2014/exch-2014-01-31.xsd" />
  <xsd:import namespace="http://xbrl.sec.gov/invest/2013-01-31" schemaLocation="http://xbrl.sec.gov/invest/2013/invest-2013-01-31.xsd" />
  <xsd:import namespace="http://xbrl.sec.gov/naics/2011-01-31" schemaLocation="http://xbrl.sec.gov/naics/2011/naics-2011-01-31.xsd" />
  <xsd:import namespace="http://xbrl.sec.gov/sic/2011-01-31" schemaLocation="http://xbrl.sec.gov/sic/2011/sic-2011-01-31.xsd" />
  <xsd:import namespace="http://xbrl.sec.gov/stpr/2011-01-31" schemaLocation="http://xbrl.sec.gov/stpr/2011/stpr-2011-01-31.xsd" />
  <xsd:annotation>
    <xsd:appinfo>
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="lanc-20141231_cal.xml" xlink:role="http://www.xbrl.org/2003/role/calculationLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="lanc-20141231_def.xml" xlink:role="http://www.xbrl.org/2003/role/definitionLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="lanc-20141231_lab.xml" xlink:role="http://www.xbrl.org/2003/role/labelLinkbaseRef" xlink:type="simple" />
      <link:linkbaseRef xlink:arcrole="http://www.w3.org/1999/xlink/properties/linkbase" xlink:href="lanc-20141231_pre.xml" xlink:role="http://www.xbrl.org/2003/role/presentationLinkbaseRef" xlink:type="simple" />
      <link:roleType id="BusinessSegmentInformation" roleURI="http://www.lancastercolony.com/role/BusinessSegmentInformation">
        <link:definition>2114100 - Disclosure - Business Segment Information</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BusinessSegmentInformationSummaryOfFinancialInformationAttributableToReportableSegmentsDetails" roleURI="http://www.lancastercolony.com/role/BusinessSegmentInformationSummaryOfFinancialInformationAttributableToReportableSegmentsDetails">
        <link:definition>2414402 - Disclosure - Business Segment Information (Summary Of Financial Information Attributable To Reportable Segments) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="BusinessSegmentInformationTables" roleURI="http://www.lancastercolony.com/role/BusinessSegmentInformationTables">
        <link:definition>2314301 - Disclosure - Business Segment Information (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CommitmentsAndContingencies" roleURI="http://www.lancastercolony.com/role/CommitmentsAndContingencies">
        <link:definition>2113100 - Disclosure - Commitments And Contingencies</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CondensedConsolidatedBalanceSheets" roleURI="http://www.lancastercolony.com/role/CondensedConsolidatedBalanceSheets">
        <link:definition>1001000 - Statement - Condensed Consolidated Balance Sheets</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CondensedConsolidatedBalanceSheetsParenthetical" roleURI="http://www.lancastercolony.com/role/CondensedConsolidatedBalanceSheetsParenthetical">
        <link:definition>1001501 - Statement - Condensed Consolidated Balance Sheets (Parenthetical)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CondensedConsolidatedStatementsOfCashFlows" roleURI="http://www.lancastercolony.com/role/CondensedConsolidatedStatementsOfCashFlows">
        <link:definition>1004000 - Statement - Condensed Consolidated Statements Of Cash Flows</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CondensedConsolidatedStatementsOfComprehensiveIncome" roleURI="http://www.lancastercolony.com/role/CondensedConsolidatedStatementsOfComprehensiveIncome">
        <link:definition>1003000 - Statement - Condensed Consolidated Statements Of Comprehensive Income</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="CondensedConsolidatedStatementsOfIncome" roleURI="http://www.lancastercolony.com/role/CondensedConsolidatedStatementsOfIncome">
        <link:definition>1002000 - Statement - Condensed Consolidated Statements Of Income</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="DocumentAndEntityInformation" roleURI="http://www.lancastercolony.com/role/DocumentAndEntityInformation">
        <link:definition>0001000 - Document - Document And Entity Information</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="GoodwillAndOtherIntangibleAssets" roleURI="http://www.lancastercolony.com/role/GoodwillAndOtherIntangibleAssets">
        <link:definition>2106100 - Disclosure - Goodwill And Other Intangible Assets</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="GoodwillAndOtherIntangibleAssetsEstimatedAnnualAmortizationExpenseDetails" roleURI="http://www.lancastercolony.com/role/GoodwillAndOtherIntangibleAssetsEstimatedAnnualAmortizationExpenseDetails">
        <link:definition>2406405 - Disclosure - Goodwill And Other Intangible Assets (Estimated Annual Amortization Expense) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="GoodwillAndOtherIntangibleAssetsNarrativeDetails" roleURI="http://www.lancastercolony.com/role/GoodwillAndOtherIntangibleAssetsNarrativeDetails">
        <link:definition>2406402 - Disclosure - Goodwill And Other Intangible Assets (Narrative) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="GoodwillAndOtherIntangibleAssetsScheduleOfAmortizationExpenseDetails" roleURI="http://www.lancastercolony.com/role/GoodwillAndOtherIntangibleAssetsScheduleOfAmortizationExpenseDetails">
        <link:definition>2406404 - Disclosure - Goodwill And Other Intangible Assets (Schedule Of Amortization Expense) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="GoodwillAndOtherIntangibleAssetsSummaryOfOtherIntangibleAssetsDetails" roleURI="http://www.lancastercolony.com/role/GoodwillAndOtherIntangibleAssetsSummaryOfOtherIntangibleAssetsDetails">
        <link:definition>2406403 - Disclosure - Goodwill And Other Intangible Assets (Summary Of Other Intangible Assets) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="GoodwillAndOtherIntangibleAssetsTables" roleURI="http://www.lancastercolony.com/role/GoodwillAndOtherIntangibleAssetsTables">
        <link:definition>2306301 - Disclosure - Goodwill And Other Intangible Assets (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="IncomeTaxes" roleURI="http://www.lancastercolony.com/role/IncomeTaxes">
        <link:definition>2109100 - Disclosure - Income Taxes</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="IncomeTaxesDetails" roleURI="http://www.lancastercolony.com/role/IncomeTaxesDetails">
        <link:definition>2409401 - Disclosure - Income Taxes (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="LongTermDebt" roleURI="http://www.lancastercolony.com/role/LongTermDebt">
        <link:definition>2107100 - Disclosure - Long-Term Debt</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="LongTermDebtDetails" roleURI="http://www.lancastercolony.com/role/LongTermDebtDetails">
        <link:definition>2407401 - Disclosure - Long-Term Debt (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="PensionBenefits" roleURI="http://www.lancastercolony.com/role/PensionBenefits">
        <link:definition>2111100 - Disclosure - Pension Benefits</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="PensionBenefitsComponentsOfNetPeriodicBenefitIncomeDetails" roleURI="http://www.lancastercolony.com/role/PensionBenefitsComponentsOfNetPeriodicBenefitIncomeDetails">
        <link:definition>2411403 - Disclosure - Pension Benefits (Components Of Net Periodic Benefit Income) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="PensionBenefitsNarrativeDetails" roleURI="http://www.lancastercolony.com/role/PensionBenefitsNarrativeDetails">
        <link:definition>2411402 - Disclosure - Pension Benefits (Narrative) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="PensionBenefitsTables" roleURI="http://www.lancastercolony.com/role/PensionBenefitsTables">
        <link:definition>2311301 - Disclosure - Pension Benefits (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="PostretirementBenefits" roleURI="http://www.lancastercolony.com/role/PostretirementBenefits">
        <link:definition>2112100 - Disclosure - Postretirement Benefits</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="PostretirementBenefitsComponentsOfNetPeriodicBenefitCostDetails" roleURI="http://www.lancastercolony.com/role/PostretirementBenefitsComponentsOfNetPeriodicBenefitCostDetails">
        <link:definition>2412403 - Disclosure - Postretirement Benefits (Components Of Net Periodic Benefit Cost) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="PostretirementBenefitsNarrativeDetails" roleURI="http://www.lancastercolony.com/role/PostretirementBenefitsNarrativeDetails">
        <link:definition>2412402 - Disclosure - Postretirement Benefits (Narrative) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="PostretirementBenefitsTables" roleURI="http://www.lancastercolony.com/role/PostretirementBenefitsTables">
        <link:definition>2312301 - Disclosure - Postretirement Benefits (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockBasedCompensation" roleURI="http://www.lancastercolony.com/role/StockBasedCompensation">
        <link:definition>2110100 - Disclosure - Stock-Based Compensation</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockBasedCompensationFairValueOfRestrictedStockVestedDetails" roleURI="http://www.lancastercolony.com/role/StockBasedCompensationFairValueOfRestrictedStockVestedDetails">
        <link:definition>2410409 - Disclosure - Stock-Based Compensation (Fair Value Of Restricted Stock Vested) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockBasedCompensationFairValueOfStockSettledStockAppreciationRightsVestedDetails" roleURI="http://www.lancastercolony.com/role/StockBasedCompensationFairValueOfStockSettledStockAppreciationRightsVestedDetails">
        <link:definition>2410405 - Disclosure - Stock-Based Compensation (Fair Value of Stock-Settled Stock Appreciation Rights Vested) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockBasedCompensationNarrativeDetails" roleURI="http://www.lancastercolony.com/role/StockBasedCompensationNarrativeDetails">
        <link:definition>2410402 - Disclosure - Stock-Based Compensation (Narrative) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockBasedCompensationNonemployeeDirectorRestrictedStockGrantDetailsDetails" roleURI="http://www.lancastercolony.com/role/StockBasedCompensationNonemployeeDirectorRestrictedStockGrantDetailsDetails">
        <link:definition>2410407 - Disclosure - Stock-Based Compensation (Nonemployee Director Restricted Stock Grant Details) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockBasedCompensationRestrictedStockActivityDetails" roleURI="http://www.lancastercolony.com/role/StockBasedCompensationRestrictedStockActivityDetails">
        <link:definition>2410410 - Disclosure - Stock-Based Compensation (Restricted Stock Activity) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockBasedCompensationRestrictedStockCompensationExpenseAndTaxBenefitsRecordedDetails" roleURI="http://www.lancastercolony.com/role/StockBasedCompensationRestrictedStockCompensationExpenseAndTaxBenefitsRecordedDetails">
        <link:definition>2410408 - Disclosure - Stock-Based Compensation (Restricted Stock Compensation Expense And Tax Benefits Recorded) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockBasedCompensationStockSettledStockAppreciationRightsActivityDetails" roleURI="http://www.lancastercolony.com/role/StockBasedCompensationStockSettledStockAppreciationRightsActivityDetails">
        <link:definition>2410406 - Disclosure - Stock-Based Compensation (Stock-Settled Stock Appreciation Rights Activity) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockBasedCompensationStockSettledStockAppreciationRightsCompensationExpenseAndTaxBenefitsRecordedDetails" roleURI="http://www.lancastercolony.com/role/StockBasedCompensationStockSettledStockAppreciationRightsCompensationExpenseAndTaxBenefitsRecordedDetails">
        <link:definition>2410404 - Disclosure - Stock-Based Compensation (Stock-Settled Stock Appreciation Rights Compensation Expense And Tax Benefits Recorded) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockBasedCompensationStockSettledStockAppreciationRightsGrantDetailsDetails" roleURI="http://www.lancastercolony.com/role/StockBasedCompensationStockSettledStockAppreciationRightsGrantDetailsDetails">
        <link:definition>2410403 - Disclosure - Stock-Based Compensation (Stock-Settled Stock Appreciation Rights Grant Details) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="StockBasedCompensationTables" roleURI="http://www.lancastercolony.com/role/StockBasedCompensationTables">
        <link:definition>2310301 - Disclosure - Stock-Based Compensation (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SummaryOfSignificantAccountingPolicies" roleURI="http://www.lancastercolony.com/role/SummaryOfSignificantAccountingPolicies">
        <link:definition>2102100 - Disclosure - Summary Of Significant Accounting Policies</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SummaryOfSignificantAccountingPoliciesNarrativeDetails" roleURI="http://www.lancastercolony.com/role/SummaryOfSignificantAccountingPoliciesNarrativeDetails">
        <link:definition>2402403 - Disclosure - Summary Of Significant Accounting Policies (Narrative) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SummaryOfSignificantAccountingPoliciesPolicy" roleURI="http://www.lancastercolony.com/role/SummaryOfSignificantAccountingPoliciesPolicy">
        <link:definition>2202201 - Disclosure - Summary Of Significant Accounting Policies (Policy)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SummaryOfSignificantAccountingPoliciesScheduleOfAmountsReclassifiedOutOfAccumulatedOtherComprehensiveLossDetails" roleURI="http://www.lancastercolony.com/role/SummaryOfSignificantAccountingPoliciesScheduleOfAmountsReclassifiedOutOfAccumulatedOtherComprehensiveLossDetails">
        <link:definition>2402406 - Disclosure - Summary Of Significant Accounting Policies (Schedule Of Amounts Reclassified Out of Accumulated Other Comprehensive Loss) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SummaryOfSignificantAccountingPoliciesScheduleOfBasicAndDilutedIncomePerCommonShareFromContinuingOperationsCalculationsDetails" roleURI="http://www.lancastercolony.com/role/SummaryOfSignificantAccountingPoliciesScheduleOfBasicAndDilutedIncomePerCommonShareFromContinuingOperationsCalculationsDetails">
        <link:definition>2402405 - Disclosure - Summary Of Significant Accounting Policies (Schedule Of Basic And Diluted Income Per Common Share From Continuing Operations Calculations) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SummaryOfSignificantAccountingPoliciesScheduleOfConstructionInProgressInAccountsPayableDetails" roleURI="http://www.lancastercolony.com/role/SummaryOfSignificantAccountingPoliciesScheduleOfConstructionInProgressInAccountsPayableDetails">
        <link:definition>2402404 - Disclosure - Summary Of Significant Accounting Policies (Schedule Of Construction In Progress In Accounts Payable) (Details)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
      <link:roleType id="SummaryOfSignificantAccountingPoliciesTables" roleURI="http://www.lancastercolony.com/role/SummaryOfSignificantAccountingPoliciesTables">
        <link:definition>2302302 - Disclosure - Summary Of Significant Accounting Policies (Tables)</link:definition>
        <link:usedOn>link:presentationLink</link:usedOn>
        <link:usedOn>link:calculationLink</link:usedOn>
        <link:usedOn>link:definitionLink</link:usedOn>
      </link:roleType>
    </xsd:appinfo>
  </xsd:annotation>
  <xsd:element id="lanc_AccruedDistributionCosts" name="AccruedDistributionCosts" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="instant" />
  <xsd:element id="lanc_DeferredIncomeTaxesAndOtherNoncashChanges" name="DeferredIncomeTaxesAndOtherNoncashChanges" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration" />
  <xsd:element abstract="true" id="lanc_DirectorRestrictedStockMember" name="DirectorRestrictedStockMember" nillable="true" substitutionGroup="xbrli:item" type="nonnum:domainItemType" xbrli:periodType="duration" />
  <xsd:element abstract="true" id="lanc_DocumentAndEntityInformationAbstract" name="DocumentAndEntityInformationAbstract" nillable="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration" />
  <xsd:element abstract="true" id="lanc_EarningsPerShareContinuingOperationsAbstract" name="EarningsPerShareContinuingOperationsAbstract" nillable="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration" />
  <xsd:element abstract="true" id="lanc_EmployeeRestrictedStockMember" name="EmployeeRestrictedStockMember" nillable="true" substitutionGroup="xbrli:item" type="nonnum:domainItemType" xbrli:periodType="duration" />
  <xsd:element id="lanc_IncomeFromContinuingOperationsAvailableToCommonShareholders" name="IncomeFromContinuingOperationsAvailableToCommonShareholders" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="duration" />
  <xsd:element id="lanc_LandBuildingsAndImprovements" name="LandBuildingsAndImprovements" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="instant" />
  <xsd:element id="lanc_MaximumLeverageRatio" name="MaximumLeverageRatio" nillable="true" substitutionGroup="xbrli:item" type="num:percentItemType" xbrli:periodType="duration" />
  <xsd:element id="lanc_MinimumInterestCoverageRatio" name="MinimumInterestCoverageRatio" nillable="true" substitutionGroup="xbrli:item" type="num:percentItemType" xbrli:periodType="duration" />
  <xsd:element id="lanc_PensionPlanActivity" name="PensionPlanActivity" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="duration" />
  <xsd:element id="lanc_ScheduleOfConstructionInProgressInAccountsPayableTableTextBlock" name="ScheduleOfConstructionInProgressInAccountsPayableTableTextBlock" nillable="true" substitutionGroup="xbrli:item" type="nonnum:textBlockItemType" xbrli:periodType="duration" />
  <xsd:element id="lanc_ScheduleOfShareBasedCompensationFairValueOfAwardsVestedTableTextBlock" name="ScheduleOfShareBasedCompensationFairValueOfAwardsVestedTableTextBlock" nillable="true" substitutionGroup="xbrli:item" type="nonnum:textBlockItemType" xbrli:periodType="duration" />
  <xsd:element id="lanc_ScheduleOfShareBasedCompensationGrantDetailsTableTextBlock" name="ScheduleOfShareBasedCompensationGrantDetailsTableTextBlock" nillable="true" substitutionGroup="xbrli:item" type="nonnum:textBlockItemType" xbrli:periodType="duration" />
  <xsd:element id="lanc_ShareBasedCompensationArrangementByShareBasedPaymentAwardStockSettledStockAppreciationRightsExercisableAndVestedNumber" name="ShareBasedCompensationArrangementByShareBasedPaymentAwardStockSettledStockAppreciationRightsExercisableAndVestedNumber" nillable="true" substitutionGroup="xbrli:item" type="xbrli:sharesItemType" xbrli:periodType="instant" />
  <xsd:element id="lanc_ShareBasedCompensationArrangementByShareBasedPaymentAwardStockSettledStockAppreciationRightsExercisableWeightedAverageExercisePrice" name="ShareBasedCompensationArrangementByShareBasedPaymentAwardStockSettledStockAppreciationRightsExercisableWeightedAverageExercisePrice" nillable="true" substitutionGroup="xbrli:item" type="num:perShareItemType" xbrli:periodType="instant" />
  <xsd:element id="lanc_ShareBasedCompensationArrangementByShareBasedPaymentAwardStockSettledStockAppreciationRightsExercisableWeightedAverageRemainingContractualTerm1" name="ShareBasedCompensationArrangementByShareBasedPaymentAwardStockSettledStockAppreciationRightsExercisableWeightedAverageRemainingContractualTerm1" nillable="true" substitutionGroup="xbrli:item" type="xbrli:durationItemType" xbrli:periodType="duration" />
  <xsd:element id="lanc_ShareBasedCompensationArrangementByShareBasedPaymentAwardStockSettledStockAppreciationRightsExercisesInPeriodTotalIntrinsicValue" name="ShareBasedCompensationArrangementByShareBasedPaymentAwardStockSettledStockAppreciationRightsExercisesInPeriodTotalIntrinsicValue" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="duration" />
  <xsd:element id="lanc_ShareBasedCompensationArrangementByShareBasedPaymentAwardStockSettledStockAppreciationRightsOutstandingWeightedAverageExercisePrice" name="ShareBasedCompensationArrangementByShareBasedPaymentAwardStockSettledStockAppreciationRightsOutstandingWeightedAverageExercisePrice" nillable="true" substitutionGroup="xbrli:item" type="num:perShareItemType" xbrli:periodType="instant" />
  <xsd:element id="lanc_ShareBasedCompensationArrangementByShareBasedPaymentAwardStockSettledStockAppreciationRightsVestedAndExpectedToVestNumber" name="ShareBasedCompensationArrangementByShareBasedPaymentAwardStockSettledStockAppreciationRightsVestedAndExpectedToVestNumber" nillable="true" substitutionGroup="xbrli:item" type="xbrli:sharesItemType" xbrli:periodType="instant" />
  <xsd:element id="lanc_ShareBasedCompensationArrangementByShareBasedPaymentAwardStockSettledStockAppreciationRightsVestedAndExpectedToVestOutstandingAggregateIntrinsicValue" name="ShareBasedCompensationArrangementByShareBasedPaymentAwardStockSettledStockAppreciationRightsVestedAndExpectedToVestOutstandingAggregateIntrinsicValue" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="debit" xbrli:periodType="instant" />
  <xsd:element id="lanc_ShareBasedCompensationArrangementByShareBasedPaymentAwardStockSettledStockAppreciationRightsVestedAndExpectedToVestOutstandingWeightedAverageContractualTerm1" name="ShareBasedCompensationArrangementByShareBasedPaymentAwardStockSettledStockAppreciationRightsVestedAndExpectedToVestOutstandingWeightedAverageContractualTerm1" nillable="true" substitutionGroup="xbrli:item" type="xbrli:durationItemType" xbrli:periodType="duration" />
  <xsd:element id="lanc_ShareBasedCompensationArrangementByShareBasedPaymentAwardStockSettledStockAppreciationRightsVestedAndExpectedToVestOutstandingWeightedAverageExercisePrice" name="ShareBasedCompensationArrangementByShareBasedPaymentAwardStockSettledStockAppreciationRightsVestedAndExpectedToVestOutstandingWeightedAverageExercisePrice" nillable="true" substitutionGroup="xbrli:item" type="num:perShareItemType" xbrli:periodType="instant" />
  <xsd:element id="lanc_ShareBasedCompensationArrangementsByShareBasedPaymentAwardStockSettledStockAppreciationRightsExercisesInPeriodWeightedAverageExercisePrice" name="ShareBasedCompensationArrangementsByShareBasedPaymentAwardStockSettledStockAppreciationRightsExercisesInPeriodWeightedAverageExercisePrice" nillable="true" substitutionGroup="xbrli:item" type="num:perShareItemType" xbrli:periodType="duration" />
  <xsd:element id="lanc_ShareBasedCompensationArrangementsByShareBasedPaymentAwardStockSettledStockAppreciationRightsForfeituresInPeriodWeightedAverageExercisePrice" name="ShareBasedCompensationArrangementsByShareBasedPaymentAwardStockSettledStockAppreciationRightsForfeituresInPeriodWeightedAverageExercisePrice" nillable="true" substitutionGroup="xbrli:item" type="num:perShareItemType" xbrli:periodType="duration" />
  <xsd:element id="lanc_ShareBasedCompensationArrangementsByShareBasedPaymentAwardStockSettledStockAppreciationRightsGrantsInPeriodWeightedAverageExercisePrice" name="ShareBasedCompensationArrangementsByShareBasedPaymentAwardStockSettledStockAppreciationRightsGrantsInPeriodWeightedAverageExercisePrice" nillable="true" substitutionGroup="xbrli:item" type="num:perShareItemType" xbrli:periodType="duration" />
  <xsd:element abstract="true" id="lanc_SpecialtyFoodsMember" name="SpecialtyFoodsMember" nillable="true" substitutionGroup="xbrli:item" type="nonnum:domainItemType" xbrli:periodType="duration" />
  <xsd:element abstract="true" id="lanc_TwoThousandAndFivePlanMember" name="TwoThousandAndFivePlanMember" nillable="true" substitutionGroup="xbrli:item" type="nonnum:domainItemType" xbrli:periodType="duration" />
  <xsd:element id="lanc_UnrecognizedTaxBenefitsTaxLiabilitiesAccrued" name="UnrecognizedTaxBenefitsTaxLiabilitiesAccrued" nillable="true" substitutionGroup="xbrli:item" type="xbrli:monetaryItemType" xbrli:balance="credit" xbrli:periodType="instant" />
  <xsd:element abstract="true" id="lanc_WeightedAverageCommonSharesOutstandingAbstract" name="WeightedAverageCommonSharesOutstandingAbstract" nillable="true" substitutionGroup="xbrli:item" type="xbrli:stringItemType" xbrli:periodType="duration" />
</xsd:schema>
